
body {

    background-color: var(--lb-primary1) !important;

}


.lb-hero-img {

    max-width: 400px;

}


.lb-hero-child {

    height: 100vh;

    display: flex;

    flex-direction: row;

    align-items: center;

}


.img-hero1 {

    transform: translate(-20px, 100px) scale(1.5);

}


.img-hero2 {

    transform: translate(0px, -50px) scale(2.2);

}


#hero {

    height: 100vh;

    padding-top: 200px;

}

#hero-hp {
    padding-top: 200px;
}


#top-su {

    position: relative;

    bottom: 8vh;

}


@media screen and (max-width: 1024px) {


    body:not(#proj) {

        padding-top: 20vh;

    }


    .img-hero1 {

        transform: translate(80px, 100px) scale(1.5);

    }


    .img-hero2 {

        transform: translate(100px, -50px) scale(1.9);

    }


    #hero {

        height: 70vh;

        padding-top: 100px;

    }

    #hero-hp {

        padding-top: 100px;

    }


    #hero h1 {

        font-size: 10vw !important;

    }

}


@media screen and (max-width: 992px) {


    .img-hero1 {

        transform: translate(80px, 100px) scale(1.5);

    }


    .img-hero2 {

        transform: translate(100px, -50px) scale(1.9);

    }


    #hero {

        height: 70vh;

        padding-top: 0;

    }


    #hero h1 {

        font-size: 10vw !important;

    }


    #top-su {

        position: relative;

        bottom: 0;

    }


    #top-su {

        position: relative;

        bottom: 10vh;

    }

}


@media screen and (max-width: 768px) {

    body {

        padding-top: 0;

    }


    .img-hero1 {

        transform: translate(-10px, 10px) scale(1.5);

    }


    .img-hero2 {

        transform: translate(40px, -50px) scale(2.3);

    }


    .lb-hero-child {

        display: flex;

        flex-direction: row;

        align-items: start;

    }


    #hero {

        height: 70vh;

        padding-top: 0;

    }


    #hero h1 {

        font-size: 12vw !important;

    }


    #top-su {

        position: relative;

        bottom: 20vh;

    }

}


/*  img-slide  */

.feedSlide {

    height: 80vh;

    overflow: hidden;

    position: relative;

    margin-top: 60px;

    cursor: pointer;

    margin-left: -80px;

    margin-right: -80px;

    margin-bottom: 15rem;

}


.feedSlide .scroll {

    background-size: auto 100%;

    background-repeat: repeat-x;

    background-position: 0 0;

    animation: scrollGrid 180s linear infinite;

    height: 100%;

    background-image: url(img/images-slide.jpg);

}


@media screen and (max-width: 992px) {


    .feedSlide {

        height: 60vh;

        margin-top: 0;

        margin-bottom: 0;

        padding-top: 50px;

    }


    .feedSlide .scroll {

        background-size: auto 100%;

        background-repeat: repeat-x;

        background-position: 0 0;

        animation: scrollGrid 180s linear infinite;

        height: 50%;

        background-image: url(img/images-slide-mobile.jpg);

    }

}


@keyframes scrollGrid {

    0% {

        background-position: 0 0;

    }


    100% {

        background-position: -2420px 0;

    }

}


/* about-me */

.testo-about {

    margin-top: 8rem;

}


@media screen and (max-width: 992px) {

    .testo-about {

        margin-top: 0.1rem;

    }

}


.no-hover {

    background: none;

}


.no-hover:hover {

    background: none;

    color: var(--lb-accent1);

}


.no-hover2 {

    background: none;

    color: var(--lb-secondary2);

}


.no-hover2:hover {

    background: none;

    color: var(--lb-accent1);

}


/* scroll vertical button */

.link {

    position: fixed;

    bottom: 50px;

    width: 10rem;

    height: 10rem;

    display: inline-block;

    font: 300 1.55rem/1.4 var(--lb-font);

    text-transform: uppercase;

    letter-spacing: 0.1175em;

    word-spacing: 0.3em;

    color: var(--lb-primary2);

    z-index: -50;

}


.link__svg {

    width: 100%;

    height: auto;

    transform-box: fill-box;

    fill: #2B3338;

    stroke: #2B3338;

    stroke-width: 0.05em;

    stroke-linecap: round;

    stroke-linejoin: round;

}


.link__cloud {

    transform-origin: 50% 50%;

    -webkit-animation: rotate normal infinite 60s linear;

    animation: rotate normal infinite 60s linear;

    fill: rgba(255, 255, 255, 0.15);

}


.link__face, .link__arrow {

    transform-origin: 50% 50%;

    transition: transform 0.15s cubic-bezier(0.32, 0, 0.67, 0);

}


.link:hover .link__face, .link:hover .link__arrow {

    transform: scale(1.1) rotate(-90deg);

    transition: transform 0.3s cubic-bezier(0.33, 1, 0.68, 1);

}


.link__arrow {

    stroke-width: 0.075em;

    transform: rotate(90deg);

}


.link__text {

    -webkit-animation: rotateReverse normal infinite 20s linear;

    animation: rotateReverse normal infinite 20s linear;

    transform-origin: 50% 50%;

}


.link:hover .link__text {

    -webkit-animation-play-state: paused;

    animation-play-state: paused;

}


.link--alt {

    font-size: 1.15rem;

    letter-spacing: 0;

    word-spacing: 0;

}


@-webkit-keyframes rotate {

    to {

        transform: rotate(360deg);

    }

}


@keyframes rotate {

    to {

        transform: rotate(360deg);

    }

}


@-webkit-keyframes rotateReverse {

    to {

        transform: rotate(-360deg);

    }

}


@keyframes rotateReverse {

    to {

        transform: rotate(-360deg);

    }

}


/*js*/

#tornasu {

    position: fixed;

    right: 8px;

    bottom: -50px;

    opacity: 0;

    transition: all 1s;

}


#tornasu.visibile {

    bottom: 20px;

    opacity: 1;

}


html {

    scroll-behavior: auto;

    -webkit-overflow-scrolling: touch;

    overflow-scrolling: touch;

}


/**/

.card-cover {

    width: auto;

    background-position: center center;

    background-size: cover;

    background-repeat: no-repeat;

}


#renote-cover {

    height: 80vh;

    background-image: url("img/cover-progetti/renote-cover.jpg");

}


#delprato-cover {

    height: 60vh;

    background-image: url("img/cover-progetti/delprato-cover.jpg");

}


#soltech-cover {

    height: 90vh;

    background-image: url("img/cover-progetti/soltech-cover.jpg");

}


#beer-cover {

    height: 50vh;

    background-image: url("img/cover-progetti/beer-cover.jpg");

}

.foto-mia {
    display: inline-block;
    background: no-repeat center 45%;
    background-size: cover;
    height: 6vw;
    width: 300px;
    border-radius: 99999px;
    transform: translateY(16%);
}

.bottoni-home {
    width: 20rem;
    transition: all 0.8s;
    padding-left: .25rem !important;
    background-image: url("svg/go-to.svg") !important;
    background-color: unset !important;
    background-repeat: no-repeat !important;
    background-size: contain !important;
    background-position: center center !important;
}

.bottoni-home2 {
    width: 20rem;
    transition: all 0.8s;
    padding-left: .25rem !important;
    background-image: url("svg/see-all.svg") !important;
    background-color: unset !important;
    background-repeat: no-repeat !important;
    background-size: contain !important;
    background-position: center center !important;
}

.bottone-hero {
    border: 1px solid var(--lb-white);
    color: var(--lb-white);
    border-radius: 999999px;
    font-weight: 300;
    font-size: calc(28px - 8px);
    position: relative;
    bottom: 0.12em;
    animation: cambia-font 6s infinite;
    word-break: keep-all;
    text-decoration: none;
}

.bottone-hero:hover {
    background-color: var(--lb-secondary1);
    color: var(--lb-white);
}

@keyframes cambia-font {
    0% {
        font-family: var(--lb-font), sans-serif;
        padding: 0 10px 2.4px 10px;
    }
    50% {
        font-family: var(--lb-font), sans-serif;
        padding: 0 10px 2.4px 10px;
    }
    51% {
        font-family: var(--lb-font-alt), sans-serif;
        padding: 0 10px 4px 10px;
    }
    100% {
        font-family: var(--lb-font-alt), sans-serif;
        padding: 0 10px 4px 10px;
    }

}

@media screen and (max-width: 1200px) {
    .bottone-hero {
        font-size: calc(20px - 5px);
    }

    .foto-mia {
        display: inline-block;
        background: no-repeat center 45%;
        background-size: cover;
        height: 9.9vw;
        width: 35%;
        border-radius: 99999px;
        transform: translateY(16%);
    }
}


.bottoni-home:hover, .bottoni-home2:hover {

    padding-left: 16.15rem !important;

    background-image: url("svg/click.svg") !important;

    background-color: var(--lb-white) !important;

    background-repeat: no-repeat !important;

    background-size: contain !important;

    background-position: center center !important;

}


.card-home-link:hover {

    background: none !important;

    color: var(--lb-white) !important;

}


.card-home-link h3:hover {

    text-decoration: underline;

}


.competenze .lb-box {
    background: rgba(58, 58, 58, 0.5);
    border-radius: 4rem;
    padding: 1.5rem 2rem;
    border: 0px solid var(--lb-primary1);
    backdrop-filter: blur(7.5px);
    -webkit-backdrop-filter: blur(7.5px);
}


@media screen and (max-width: 992px) {
    .competenze .lb-box {
        background: rgba(58, 58, 58, 0.5);
        border-radius: 4rem;
        padding: 1.5rem 2rem;
        border: 0px solid var(--lb-primary1);
        backdrop-filter: blur(7.5px);
        -webkit-backdrop-filter: blur(7.5px);
    }

    .competenze .row {
        margin: 0 0px;
    }
}


body, .form_btn.form:not(.valid) {

    cursor: url("svg/cursor.svg") 6 4, default;

}

.carousel, .carousel-item {

    cursor: url("svg/cursor11.svg") 6 4, default;

}
button.carousel-control-next{

    cursor: url("svg/cursor12.svg") 6 4, pointer !important;

}
button.carousel-control-prev {

    cursor: url("svg/cursor13.svg") 6 4, pointer !important;

}
@media screen and (min-width: 1024px) {
    button.carousel-control-prev, button.carousel-control-next {
        opacity: 0 !important;
    }
}
a, button, .carousel-indicators [data-bs-target], [type=button]:not(:disabled), .pointer1:not(:disabled) {

    cursor: url("svg/cursor1.svg") 14 14, pointer;

}

label {
    border-radius: 8px;
}

.progetto {
    background: unset !important;
    transition: all .2s;
}

.progetto div.card-progetto1 {
    background-size: 100% !important;
    transition: all .4s ease-in-out;
    transition-delay: .1s;
}

.progetto a:hover div.card-progetto1 {
    background-size: 120% !important;
}

.progetto a:hover, .progetto.aaa:active {
    background: unset !important;
    color: var(--lb-white);
}

.progetto a h3 {
    padding-left: 0;
    transition: .6s;
}

.progetto a:hover h3 {
    font-family: var(--lb-font-alt) !important;
    letter-spacing: 1px;
    padding-left: 16px;
}

@media screen and (max-width: 992px) {
    .progetto div.card-progetto1 {
        background-size: cover !important;
        height: 400px !important;
    }
}
